#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "charge2five4xi.py">
#<abstract4xi abstract = "charges to direction five"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
#<verify4xi verification = "11" target = "sphere4xi.py"/>
#<contextualize4xi context = "verb4xi.py"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'charge2five4xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread   
try:
    import _winapi
except:
    pass    
import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "
from dummyprocess4xi import DummyProcess4Xi

from fire2five4xi import fire2five4xi
from fire10five4xi import fire10five4xi
from fire100five4xi import fire100five4xi
from fire200five4xi import fire200five4xi
from fire300five4xi import fire300five4xi
from fire400five4xi import fire400five4xi
from fire500five4xi import fire500five4xi
from fire600five4xi import fire600five4xi
from fire700five4xi import fire700five4xi
from fire800five4xi import fire800five4xi
from fire900five4xi import fire900five4xi
from fire1000five4xi import fire1000five4xi
from fire1100five4xi import fire1100five4xi
from fire1200five4xi import fire1200five4xi
from fire1300five4xi import fire1300five4xi
from fire1400five4xi import fire1400five4xi
from fire1500five4xi import fire1500five4xi
from fire1600five4xi import fire1600five4xi
from fire1700five4xi import fire1700five4xi
from fire1800five4xi import fire1800five4xi
from fire1900five4xi import fire1900five4xi
from fire2000five4xi import fire2000five4xi
from fire2100five4xi import fire2100five4xi
from fire2200five4xi import fire2200five4xi
from fire2300five4xi import fire2300five4xi
from fire2400five4xi import fire2400five4xi
from fire2500five4xi import fire2500five4xi
from fire2600five4xi import fire2600five4xi
from fire2700five4xi import fire2700five4xi
from fire2800five4xi import fire2800five4xi
from fire2900five4xi import fire2900five4xi
from fire3000five4xi import fire3000five4xi
from fire3100five4xi import fire3100five4xi
from fire3200five4xi import fire3200five4xi
from fire3300five4xi import fire3300five4xi

from time4xi import time4xi

#"
#/>

# -------------------------------------------------------------------------------------------------
# Global constants                            
# ------------------------------------------------------------------------------------------------
#<globalize4xi globalization = "

#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = True
      
#"
#"/>
    
             
# -----------------------------------------------------------------------------------------------------
#<function4xi function = "charge2five4xi" usage = "
#   charges for direction FIVE
#   commands and control via queue and pipe
#"> 
# -----------------------------------------------------------------------------------------------------
       
def charge2five4xi(queue2work, channel2consume, channel2publish):
    '''
    charges for direction FIVE
    '''    
    
    # ---------------------------------------------------------------------------------------------    
    #
    # ---------------------------------------------------------------------------------------------     
    if ack2debug is True:
        print('=' *33)
        print("(STEP 1/33) OF CHARGE2FIVE4XI, START TIME: ", time4xi())  
        print('=' *33)
        # 09:45:43 01/24/13 Pacific Standard Time 
    
    # ---------------------------------------------------------------------------------------------    
    # QUEUE
    # ---------------------------------------------------------------------------------------------     

    queue2work4five = queue2work
    
    if ack2debug is True:
        print('~' *33)
        print("(STEP 2/33) OF CHARGE2FIVE4XI, QUEUE2WORK4FIVE: ", queue2work4five)
        print('~' *33)
        # <queue4xi.Queue4Xi object at 0x0000000004796978> 
    
    # ---------------------------------------------------------------------------------------------    
    # NAMED PIPE
    # ---------------------------------------------------------------------------------------------     
    channel2consume4five = channel2consume
    if ack2debug is True:    
        print('~' *33)
        print("(STEP 3/33) OF CHARGE2FIVE4XI, CHANNEL2CONSUME4FIVE: ", channel2consume4five)
        print('~' *33)
        # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000004796860>
    
    # ---------------------------------------------------------------------------------------------    
    # NAMED PIPE
    # ---------------------------------------------------------------------------------------------     
    channel2publish4five = channel2publish
    if ack2debug is True:    
        print('~' *33)
        print("(STEP 4/33) OF CHARGE2FIVE4XI, CHANNEL2PUBLISH4FIVE: ", channel2publish4five)
        print('~' *33)
        # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000004796748>
        
    
    # ---------------------------------------------------------------------------------------------    
    # GETTING FROM QUEUE
    # --------------------------------------------------------------------------------------------- 
        
    try:
        message2qet4five = queue2work4five.get()
        if ack2debug is True:
            print("(STEP 5A/33) OF CHARGE2FIVE4XI - MESSAGE2QET4FIVE GOT: ", message2qet4five) 
            # 
        
        if message2qet4five == "<copy4xi>copy2five</copy4xi>":
            message2put4five = "<roger4xi>roger2five</roger4xi>"
            if ack2debug is True:
                print("(STEP 5B/33) OF CHARGE2FIVE4XI - SET MESSAGE2PUT4FIVE TO: ", message2put4five) 
                # 
        else:
            if ack2debug is True:
                print("(STEP 5c/33) OF CHARGE2FIVE4XI - *** UNREGONIZED MESSAGE GOT: ", message2qet4five)           
            message2put4five = "<negative4xi>negative2five</negative4xi>"
            if ack2debug is True:
                print("(STEP 5d/33) OF CHARGE2FIVE4XI - SET MESSAGE2PUT4FIVE TO: ", message2put4five)             
    except:
        message2put4five = "<negative4xi>negative2five</negative4xi>"
    
    
    # ---------------------------------------------------------------------------------------------    
    # PUTTING TO QUEUE
    # --------------------------------------------------------------------------------------------- 
    if ack2debug is True:
        print("(STEP 6A/33) OF CHARGE2FIVE4XI - TRYING TO PUT MESSAGE2PUT4FIVE: ", message2put4five)
        #                              
    try:         
        queue2work4five.put(message2put4five) 
        if ack2debug is True:
            print('~' *33)
            print("(STEP 6B/33) OF CHARGE2FIVE4XI - PUT TO QUEUE2WORK4FIVE: ", queue2work4five, ' MESSAGE2PUT4FIVE: ', message2put4five)
            print('~' *33)
            # 
        
    except:
        print("(STEP 6c/33) OF CHARGE2FIVE4XI *** FAILED TO PUT TO QUEUE2WORK4FIVE: ", queue2work4five, ' MESSAGE2PUT4FIVE: ', message2put4five)
                   
    # ---------------------------------------------------------------------------------------------    
    # RECEIVING FROM PIPE CONSUMER CHANNEL
    # ---------------------------------------------------------------------------------------------     
    if ack2debug is True:
        print("(STEP 7A/33) OF CHARGE2FIVE4XI - TRYING TO RECEIVE FROM CHANNEL2CONSUME4FIVE: ", channel2consume4five)
        # 
    try:
        message2receive4five = channel2consume4five.recv()
        if ack2debug is True:        
            print("(STEP 7B/33) OF CHARGE2FIVE4XI - RECEIVED MESSAGE2RECEIVE4FIVE: ", message2receive4five)
            # 
        
        if message2receive4five == "<copy4xi>copy2five</copy4xi>":
            message2send4five = "<roger4xi>roger2five</roger4xi>"
            if ack2debug is True:
                print("(STEP 7C/33) OF CHARGE2FIVE4XI - SET MESSAGE2SEND4FIVE: ", message2send4five)
                # 
        else:
            message2send4five = "<negative4xi>negative2five</negative4xi>"
            if ack2debug is True:
                print("(STEP 7D/33) OF CHARGE2FIVE4XI - SET MESSAGE2SEND4FIVE: ", message2send4five)        
    except:
        if ack2debug is True:
            print("(STEP 7E/33) OF CHARGE2FIVE4XI - *** EXCEPTION WITH CHANNEL2CONSUME4FIVE.RECV: ", channel2consume4five.recv) 
        message2send4five = "<negative4xi>negative2five</negative4xi>"
        if ack2debug is True:
            print("(STEP 7F/33) OF CHARGE2FIVE4XI - SET MESSAGE2SEND4FIVE: ", message2send4five)       
            

    # ---------------------------------------------------------------------------------------------
    # SEND DATA TO THE PIPE'S PUBLISHER CHANNEL 
    # ---------------------------------------------------------------------------------------------
    if ack2debug is True:
        print("(STEP 8A/33) OF CHARGE2FIVE4XI - TRYING TO SEND DATA TO CHANNEL2PUBLISHER4FIVE: ", channel2publish4five)
        # 
    try:         
        channel2publish4five.send(message2send4five)
        if ack2debug is True:
            print("(STEP 8B/33) OF CHARGE2FIVE4XI - SENT MESSAGE2SEND4FIVE: ", message2send4five, " CHANNEL2PUBLISHER4FIVE: ", channel2publish4five)
            # 
    except:
        print("(STEP 8C/33) OF CHARGE2FIVE4XI - *** FAILED TO SEND MESSAGE2SEND4FIVE: ", message2send4five, " CHANNEL2PUBLISHER4FIVE: ", channel2publish4five) 


    # -----------------------------------------------------------------------------------------    
    # USING THE DUMMY PROCESS TO CHARGE - THIS APPROACH TRIES FASTER RETURN TO MAINPROCESS4XI  
    # -----------------------------------------------------------------------------------------      
    if ack2debug is True:
        print("(STEP 9A/33) OF CHARGE2FIVE4XI - CREATING A DUMMY PROCESS4XI")  
    
    
    # -----------------------------------------------------------------------------------------    
    # CREATE THE DUMMY PROCESS OBJECT 
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2five = DummyProcess4Xi(target=fire2five4xi, 
                                     args =(queue2work4five,
                                            channel2consume4five, channel2publish4five))
        if ack2debug is True:
            print("(STEP 9B/33) OF CHARGE2FIVE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2FIVE: ", dummy2five)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 9C/33) OF CHARGE2FIVE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2FIVE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # START THE DUMMY PROCESS OBJECT
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 9D/33) OF CHARGE2FIVE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2five.start() 
            if ack2debug is True:
                print("(STEP 9E/33) OF CHARGE2FIVE4XI - STARTED THE DUMMY PROCESS4XI DUMMY2FIVE: ", dummy2five)
            
           
            ack2start = True
        except:
            print("(STEP 9F/33) OF CHARGE2FIVE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 9G/33) OF CHARGE2FIVE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False
                             
        
# ====  
# [10]
# ==== 
   
    # -----------------------------------------------------------------------------------------    
    # 10 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy10five = DummyProcess4Xi(target=fire10five4xi, 
                                     args =(queue2work4five,
                                            channel2consume4five, channel2publish4five))
        if ack2debug is True:
            print("(STEP 10B/33) OF CHARGE2FIVE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY10FIVE: ", dummy10five)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 10C/33) OF CHARGE2FIVE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY10FIVE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 10 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 10D/33) OF CHARGE2FIVE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy10five.start() 
            if ack2debug is True:
                print("(STEP 10E/33) OF CHARGE2FIVE4XI - STARTED THE DUMMY PROCESS4XI DUMMY10FIVE: ", dummy10five)
                # 
            
            ack2start = True
        except:
            print("(STEP 10F/33) OF CHARGE2FIVE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 10G/33) OF CHARGE2FIVE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False                             

        
# =====  
# [100]
# ===== 
       
    # -----------------------------------------------------------------------------------------    
    # 100 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy100five = DummyProcess4Xi(target=fire100five4xi, 
                                     args =(queue2work4five,
                                            channel2consume4five, channel2publish4five))
        if ack2debug is True:
            print("(STEP 100B/33) OF CHARGE2FIVE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY100FIVE: ", dummy100five)
            #  
        
        ack2dummy = True
    except:
        print("(STEP 100C/33) OF CHARGE2FIVE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY100FIVE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 100 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 100D/33) OF CHARGE2FIVE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())
            # 
        ack2start = False
        try:      
            dummy100five.start() 
            if ack2debug is True:
                print("(STEP 100E/33) OF CHARGE2FIVE4XI - STARTED THE DUMMY PROCESS4XI DUMMY100FIVE: ", dummy100five)
                #  
            
            ack2start = True
        except:
            print("(STEP 100F/33) OF CHARGE2FIVE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 100G/33) OF CHARGE2FIVE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      

        
# =====  
# [200]
# ===== 
         
    # -----------------------------------------------------------------------------------------    
    # 200 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy200five = DummyProcess4Xi(target=fire200five4xi, 
                                     args =(queue2work4five,
                                            channel2consume4five, channel2publish4five))
        if ack2debug is True:
            print("(STEP 200B/33) OF CHARGE2FIVE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY200FIVE: ", dummy200five)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 200C/33) OF CHARGE2FIVE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY200FIVE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 200 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 200D/33) OF CHARGE2FIVE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy200five.start() 
            if ack2debug is True:
                print("(STEP 200E/33) OF CHARGE2FIVE4XI - STARTED THE DUMMY PROCESS4XI DUMMY200FIVE: ", dummy200five)
                #         
            
            ack2start = True
        except:
            print("(STEP 200F/33) OF CHARGE2FIVE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 200G/33) OF CHARGE2FIVE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
        
# =====  
# [300]
# ===== 
        
    # -----------------------------------------------------------------------------------------    
    # 300 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy300five = DummyProcess4Xi(target=fire300five4xi, 
                                     args =(queue2work4five,
                                            channel2consume4five, channel2publish4five))
        if ack2debug is True:
            print("(STEP 300B/33) OF CHARGE2FIVE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY300FIVE: ", dummy300five)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 300C/33) OF CHARGE2FIVE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY300FIVE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 300 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 300D/33) OF CHARGE2FIVE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy300five.start() 
            if ack2debug is True:
                print("(STEP 300E/33) OF CHARGE2FIVE4XI - STARTED THE DUMMY PROCESS4XI DUMMY300FIVE: ", dummy300five)
                # 
            
            ack2start = True
        except:
            print("(STEP 300F/33) OF CHARGE2FIVE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 300G/33) OF CHARGE2FIVE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
        
# =====  
# [400]
# ===== 
        
    # -----------------------------------------------------------------------------------------    
    # 400 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy400five = DummyProcess4Xi(target=fire400five4xi, 
                                     args =(queue2work4five,
                                            channel2consume4five, channel2publish4five))
        if ack2debug is True:
            print("(STEP 400B/33) OF CHARGE2FIVE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY400FIVE: ", dummy400five)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 400C/33) OF CHARGE2FIVE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY400FIVE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 400 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 400D/33) OF CHARGE2FIVE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy400five.start() 
            if ack2debug is True:
                print("(STEP 400E/33) OF CHARGE2FIVE4XI - STARTED THE DUMMY PROCESS4XI DUMMY400FIVE: ", dummy400five)
                # 
            
            ack2start = True
        except:
            print("(STEP 400F/33) OF CHARGE2FIVE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 400G/33) OF CHARGE2FIVE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
        
# =====  
# [500]
# ===== 
        
    # -----------------------------------------------------------------------------------------    
    # 500 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy500five = DummyProcess4Xi(target=fire500five4xi, 
                                     args =(queue2work4five,
                                            channel2consume4five, channel2publish4five))
        if ack2debug is True:
            print("(STEP 500B/33) OF CHARGE2FIVE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY500FIVE: ", dummy500five)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 500C/33) OF CHARGE2FIVE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY500FIVE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 500 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 500D/33) OF CHARGE2FIVE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy500five.start() 
            if ack2debug is True:
                print("(STEP 500E/33) OF CHARGE2FIVE4XI - STARTED THE DUMMY PROCESS4XI DUMMY500FIVE: ", dummy500five)
                # 
            
            ack2start = True
        except:
            print("(STEP 500F/33) OF CHARGE2FIVE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 500G/33) OF CHARGE2FIVE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# =====  
# [600]
# ===== 
                
    # -----------------------------------------------------------------------------------------    
    # 600 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy600five = DummyProcess4Xi(target=fire600five4xi, 
                                     args =(queue2work4five,
                                            channel2consume4five, channel2publish4five))
        if ack2debug is True:
            print("(STEP 600B/33) OF CHARGE2FIVE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY600FIVE: ", dummy600five)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 600C/33) OF CHARGE2FIVE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY600FIVE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 600 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 600D/33) OF CHARGE2FIVE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy600five.start() 
            if ack2debug is True:
                print("(STEP 600E/33) OF CHARGE2FIVE4XI - STARTED THE DUMMY PROCESS4XI DUMMY600FIVE: ", dummy600five)
                # 
            
            ack2start = True
        except:
            print("(STEP 600F/33) OF CHARGE2FIVE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 600G/33) OF CHARGE2FIVE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
# =====  
# [700]
# ===== 
        
    # -----------------------------------------------------------------------------------------    
    # 700 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy700five = DummyProcess4Xi(target=fire700five4xi, 
                                     args =(queue2work4five,
                                            channel2consume4five, channel2publish4five))
        if ack2debug is True:
            print("(STEP 700B/33) OF CHARGE2FIVE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY700FIVE: ", dummy700five)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 700C/33) OF CHARGE2FIVE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY700FIVE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 700 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 700D/33) OF CHARGE2FIVE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy700five.start() 
            if ack2debug is True:
                print("(STEP 700E/33) OF CHARGE2FIVE4XI - STARTED THE DUMMY PROCESS4XI DUMMY700FIVE: ", dummy700five)
                # 
            
            ack2start = True
        except:
            print("(STEP 700F/33) OF CHARGE2FIVE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 700G/33) OF CHARGE2FIVE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
# =====  
# [800]
# ===== 
        
    # -----------------------------------------------------------------------------------------    
    # 800 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy800five = DummyProcess4Xi(target=fire800five4xi, 
                                     args =(queue2work4five,
                                            channel2consume4five, channel2publish4five))
        if ack2debug is True:
            print("(STEP 800B/33) OF CHARGE2FIVE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY800FIVE: ", dummy800five)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 800C/33) OF CHARGE2FIVE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY800FIVE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 800 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 800D/33) OF CHARGE2FIVE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy800five.start() 
            if ack2debug is True:
                print("(STEP 800E/33) OF CHARGE2FIVE4XI - STARTED THE DUMMY PROCESS4XI DUMMY800FIVE: ", dummy800five)
                # 
            
            ack2start = True
        except:
            print("(STEP 800F/33) OF CHARGE2FIVE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 800G/33) OF CHARGE2FIVE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
# =====  
# [900]
# ===== 
        
    # -----------------------------------------------------------------------------------------    
    # 900 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy900five = DummyProcess4Xi(target=fire900five4xi, 
                                     args =(queue2work4five,
                                            channel2consume4five, channel2publish4five))
        if ack2debug is True:
            print("(STEP 900B/33) OF CHARGE2FIVE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY900FIVE: ", dummy900five)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 900C/33) OF CHARGE2FIVE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY900FIVE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 900 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 900D/33) OF CHARGE2FIVE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy900five.start() 
            if ack2debug is True:
                print("(STEP 900E/33) OF CHARGE2FIVE4XI - STARTED THE DUMMY PROCESS4XI DUMMY900FIVE: ", dummy900five)
                # 
            
            ack2start = True
        except:
            print("(STEP 900F/33) OF CHARGE2FIVE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 900G/33) OF CHARGE2FIVE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False                              
        
# ======  
# [1000]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 1000 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1000five = DummyProcess4Xi(target=fire1000five4xi, 
                                     args =(queue2work4five,
                                            channel2consume4five, channel2publish4five))
        if ack2debug is True:
            print("(STEP 1000B/33) OF CHARGE2FIVE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1000FIVE: ", dummy1000five)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1000C/33) OF CHARGE2FIVE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1000FIVE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 1000 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1000D/33) OF CHARGE2FIVE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1000five.start() 
            if ack2debug is True:
                print("(STEP 1000E/33) OF CHARGE2FIVE4XI - STARTED THE DUMMY PROCESS4XI DUMMY1000FIVE: ", dummy1000five)
                # 
            
            ack2start = True
        except:
            print("(STEP 1000F/33) OF CHARGE2FIVE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1000G/33) OF CHARGE2FIVE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
        
# ======  
# [1100]
# ====== 
          
    # -----------------------------------------------------------------------------------------    
    # 1100 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1100five = DummyProcess4Xi(target=fire1100five4xi, 
                                     args =(queue2work4five,
                                            channel2consume4five, channel2publish4five))
        if ack2debug is True:
            print("(STEP 1100B/33) OF CHARGE2FIVE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1100FIVE: ", dummy1100five)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1100C/33) OF CHARGE2FIVE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1100FIVE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 1100 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1100D/33) OF CHARGE2FIVE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1100five.start() 
            if ack2debug is True:
                print("(STEP 1100E/33) OF CHARGE2FIVE4XI - STARTED THE DUMMY PROCESS4XI DUMMY1100FIVE: ", dummy1100five)
                # 
            
            ack2start = True
        except:
            print("(STEP 1100F/33) OF CHARGE2FIVE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1100G/33) OF CHARGE2FIVE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
        
# ======  
# [1200]
# ====== 
          
    # -----------------------------------------------------------------------------------------    
    # 1200 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1200five = DummyProcess4Xi(target=fire1200five4xi, 
                                     args =(queue2work4five,
                                            channel2consume4five, channel2publish4five))
        if ack2debug is True:
            print("(STEP 1200B/33) OF CHARGE2FIVE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1200FIVE: ", dummy1200five)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1200C/33) OF CHARGE2FIVE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1200FIVE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 1200 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1200D/33) OF CHARGE2FIVE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1200five.start() 
            if ack2debug is True:
                print("(STEP 1200E/33) OF CHARGE2FIVE4XI - STARTED THE DUMMY PROCESS4XI DUMMY1200FIVE: ", dummy1200five)
                # 
            
            ack2start = True
        except:
            print("(STEP 1200F/33) OF CHARGE2FIVE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1200G/33) OF CHARGE2FIVE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
        
# ======  
# [1300]
# ====== 
          
    # -----------------------------------------------------------------------------------------    
    # 1300 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1300five = DummyProcess4Xi(target=fire1300five4xi, 
                                     args =(queue2work4five,
                                            channel2consume4five, channel2publish4five))
        if ack2debug is True:
            print("(STEP 1300B/33) OF CHARGE2FIVE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1300FIVE: ", dummy1300five)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1300C/33) OF CHARGE2FIVE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1300FIVE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 1300 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1300D/33) OF CHARGE2FIVE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1300five.start() 
            if ack2debug is True:
                print("(STEP 1300E/33) OF CHARGE2FIVE4XI - STARTED THE DUMMY PROCESS4XI DUMMY1300FIVE: ", dummy1300five)
                # 
            
            ack2start = True
        except:
            print("(STEP 1300F/33) OF CHARGE2FIVE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1300G/33) OF CHARGE2FIVE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
# ======  
# [1400]
# ====== 
          
    # -----------------------------------------------------------------------------------------    
    # 1400 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1400five = DummyProcess4Xi(target=fire1400five4xi, 
                                     args =(queue2work4five,
                                            channel2consume4five, channel2publish4five))
        if ack2debug is True:
            print("(STEP 1400B/33) OF CHARGE2FIVE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1400FIVE: ", dummy1400five)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1400C/33) OF CHARGE2FIVE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1400FIVE ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 1400 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1400D/33) OF CHARGE2FIVE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1400five.start() 
            if ack2debug is True:
                print("(STEP 1400E/33) OF CHARGE2FIVE4XI - STARTED THE DUMMY PROCESS4XI DUMMY1400FIVE: ", dummy1400five)
                # 
            
            ack2start = True
        except:
            print("(STEP 1400F/33) OF CHARGE2FIVE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1400G/33) OF CHARGE2FIVE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [1500]
# ====== 
          
    # -----------------------------------------------------------------------------------------    
    # 1500 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1500five = DummyProcess4Xi(target=fire1500five4xi, 
                                     args =(queue2work4five,
                                            channel2consume4five, channel2publish4five))
        if ack2debug is True:
            print("(STEP 1500B/33) OF CHARGE2FIVE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1500FIVE: ", dummy1500five)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1500C/33) OF CHARGE2FIVE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1500FIVE ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 1500 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1500D/33) OF CHARGE2FIVE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1500five.start() 
            if ack2debug is True:
                print("(STEP 1500E/33) OF CHARGE2FIVE4XI - STARTED THE DUMMY PROCESS4XI DUMMY1500FIVE: ", dummy1500five)
                # 
            
            ack2start = True
        except:
            print("(STEP 1500F/33) OF CHARGE2FIVE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1500G/33) OF CHARGE2FIVE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [1600]
# ====== 
                       
    # -----------------------------------------------------------------------------------------    
    # 1600 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1600five = DummyProcess4Xi(target=fire1600five4xi, 
                                     args =(queue2work4five,
                                            channel2consume4five, channel2publish4five))
        if ack2debug is True:
            print("(STEP 1600B/33) OF CHARGE2FIVE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1600FIVE: ", dummy1600five)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1600C/33) OF CHARGE2FIVE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1600FIVE ***")
        ack2dummy = False
                       
    # -----------------------------------------------------------------------------------------    
    # 1600 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1600D/33) OF CHARGE2FIVE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1600five.start() 
            if ack2debug is True:
                print("(STEP 1600E/33) OF CHARGE2FIVE4XI - STARTED THE DUMMY PROCESS4XI DUMMY1600FIVE: ", dummy1600five)
                # 
            
            ack2start = True
        except:
            print("(STEP 1600F/33) OF CHARGE2FIVE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1600G/33) OF CHARGE2FIVE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     

        
# ======  
# [1700]
# ====== 
         
    # -----------------------------------------------------------------------------------------    
    # 1700 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1700five = DummyProcess4Xi(target=fire1700five4xi, 
                                     args =(queue2work4five,
                                            channel2consume4five, channel2publish4five))
        if ack2debug is True:
            print("(STEP 1700B/33) OF CHARGE2FIVE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1700FIVE: ", dummy1700five)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1700C/33) OF CHARGE2FIVE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1700FIVE ***")
        ack2dummy = False
                       
    # -----------------------------------------------------------------------------------------    
    # 1700 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1700D/33) OF CHARGE2FIVE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1700five.start() 
            if ack2debug is True:
                print("(STEP 1700E/33) OF CHARGE2FIVE4XI - STARTED THE DUMMY PROCESS4XI DUMMY1700FIVE: ", dummy1700five)
                # 
            
            ack2start = True
        except:
            print("(STEP 1700F/33) OF CHARGE2FIVE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1700G/33) OF CHARGE2FIVE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False             
        
# ======  
# [1800]
# ====== 
         
    # -----------------------------------------------------------------------------------------    
    # 1800 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1800five = DummyProcess4Xi(target=fire1800five4xi, 
                                     args =(queue2work4five,
                                            channel2consume4five, channel2publish4five))
        if ack2debug is True:
            print("(STEP 1800B/33) OF CHARGE2FIVE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1800FIVE: ", dummy1800five)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1800C/33) OF CHARGE2FIVE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1800FIVE ***")
        ack2dummy = False
                       
    # -----------------------------------------------------------------------------------------    
    # 1800 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1800D/33) OF CHARGE2FIVE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1800five.start() 
            if ack2debug is True:
                print("(STEP 1800E/33) OF CHARGE2FIVE4XI - STARTED THE DUMMY PROCESS4XI DUMMY1800FIVE: ", dummy1800five)
                # 
            
            ack2start = True
        except:
            print("(STEP 1800F/33) OF CHARGE2FIVE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1800G/33) OF CHARGE2FIVE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False   
        
        
# ======  
# [1900]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 1900 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1900five = DummyProcess4Xi(target=fire1900five4xi, 
                                     args =(queue2work4five,
                                            channel2consume4five, channel2publish4five))
        if ack2debug is True:
            print("(STEP 1900B/33) OF CHARGE2FIVE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1900FIVE: ", dummy1900five)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1900C/33) OF CHARGE2FIVE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1900FIVE ***")
        ack2dummy = False
                       
    # -----------------------------------------------------------------------------------------    
    # 1900 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1900D/33) OF CHARGE2FIVE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1900five.start() 
            if ack2debug is True:
                print("(STEP 1900E/33) OF CHARGE2FIVE4XI - STARTED THE DUMMY PROCESS4XI DUMMY1900FIVE: ", dummy1900five)
                # 
            
            ack2start = True
        except:
            print("(STEP 1900F/33) OF CHARGE2FIVE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1900G/33) OF CHARGE2FIVE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False             

    
        
# ======  
# [2000]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2000 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2000five = DummyProcess4Xi(target=fire2000five4xi, 
                                     args =(queue2work4five,
                                            channel2consume4five, channel2publish4five))
        if ack2debug is True:
            print("(STEP 2000B/33) OF CHARGE2FIVE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2000FIVE: ", dummy2000five)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2000C/33) OF CHARGE2FIVE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2000FIVE ***")
        ack2dummy = False
                       
    # -----------------------------------------------------------------------------------------    
    # 2000 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2000D/33) OF CHARGE2FIVE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2000five.start() 
            if ack2debug is True:
                print("(STEP 2000E/33) OF CHARGE2FIVE4XI - STARTED THE DUMMY PROCESS4XI DUMMY2000FIVE: ", dummy2000five)
                # 
            
            ack2start = True
        except:
            print("(STEP 2000F/33) OF CHARGE2FIVE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2000G/33) OF CHARGE2FIVE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2100]
# ====== 
         
    # -----------------------------------------------------------------------------------------    
    # 2100 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2100five = DummyProcess4Xi(target=fire2100five4xi, 
                                     args =(queue2work4five,
                                            channel2consume4five, channel2publish4five))
        if ack2debug is True:
            print("(STEP 2100B/33) OF CHARGE2FIVE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2100FIVE: ", dummy2100five)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2100C/33) OF CHARGE2FIVE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2100FIVE ***")
        ack2dummy = False
                 
    # -----------------------------------------------------------------------------------------    
    # 2100 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2100D/33) OF CHARGE2FIVE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2100five.start() 
            if ack2debug is True:
                print("(STEP 2100E/33) OF CHARGE2FIVE4XI - STARTED THE DUMMY PROCESS4XI DUMMY2100FIVE: ", dummy2100five)
                # 
            
            ack2start = True
        except:
            print("(STEP 2100F/33) OF CHARGE2FIVE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2100G/33) OF CHARGE2FIVE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2200]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2200 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2200five = DummyProcess4Xi(target=fire2200five4xi, 
                                     args =(queue2work4five,
                                            channel2consume4five, channel2publish4five))
        if ack2debug is True:
            print("(STEP 2200B/33) OF CHARGE2FIVE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2200FIVE: ", dummy2200five)
            #  
        
        ack2dummy = True
    except:
        print("(STEP 2200C/33) OF CHARGE2FIVE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2200FIVE ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2200 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2200D/33) OF CHARGE2FIVE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2200five.start() 
            if ack2debug is True:
                print("(STEP 2200E/33) OF CHARGE2FIVE4XI - STARTED THE DUMMY PROCESS4XI DUMMY2200FIVE: ", dummy2200five)
                # 
            
            ack2start = True
        except:
            print("(STEP 2200F/33) OF CHARGE2FIVE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2200G/33) OF CHARGE2FIVE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2300]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2300 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2300five = DummyProcess4Xi(target=fire2300five4xi, 
                                     args =(queue2work4five,
                                            channel2consume4five, channel2publish4five))
        if ack2debug is True:
            print("(STEP 2300B/33) OF CHARGE2FIVE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2300FIVE: ", dummy2300five)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2300C/33) OF CHARGE2FIVE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2300FIVE ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2300 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2300D/33) OF CHARGE2FIVE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2300five.start() 
            if ack2debug is True:
                print("(STEP 2300E/33) OF CHARGE2FIVE4XI - STARTED THE DUMMY PROCESS4XI DUMMY2300FIVE: ", dummy2300five)
                # 
            
            ack2start = True
        except:
            print("(STEP 2300F/33) OF CHARGE2FIVE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2300G/33) OF CHARGE2FIVE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2400]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2400 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2400five = DummyProcess4Xi(target=fire2400five4xi, 
                                     args =(queue2work4five,
                                            channel2consume4five, channel2publish4five))
        if ack2debug is True:
            print("(STEP 2400B/33) OF CHARGE2FIVE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2400FIVE: ", dummy2400five)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2400C/33) OF CHARGE2FIVE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2400FIVE ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2400 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2400D/33) OF CHARGE2FIVE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2400five.start() 
            if ack2debug is True:
                print("(STEP 2400E/33) OF CHARGE2FIVE4XI - STARTED THE DUMMY PROCESS4XI DUMMY2400FIVE: ", dummy2400five)
                # 
            
            ack2start = True
        except:
            print("(STEP 2400F/33) OF CHARGE2FIVE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2400G/33) OF CHARGE2FIVE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
                                                                            
         
# ======  
# [2500]
# ====== 
       
    # -----------------------------------------------------------------------------------------    
    # 2500 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2500five = DummyProcess4Xi(target=fire2500five4xi, 
                                     args =(queue2work4five,
                                            channel2consume4five, channel2publish4five))
        if ack2debug is True:
            print("(STEP 2500B/33) OF CHARGE2FIVE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2500FIVE: ", dummy2500five)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2500C/33) OF CHARGE2FIVE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2500FIVE ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2500 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2500D/33) OF CHARGE2FIVE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2500five.start() 
            if ack2debug is True:
                print("(STEP 2500E/33) OF CHARGE2FIVE4XI - STARTED THE DUMMY PROCESS4XI DUMMY2500FIVE: ", dummy2500five)
                # 
            
            ack2start = True
        except:
            print("(STEP 2500F/33) OF CHARGE2FIVE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2500G/33) OF CHARGE2FIVE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2600]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2600 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2600five = DummyProcess4Xi(target=fire2600five4xi, 
                                     args =(queue2work4five,
                                            channel2consume4five, channel2publish4five))
        if ack2debug is True:
            print("(STEP 2600B/33) OF CHARGE2FIVE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2600FIVE: ", dummy2600five)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2600C/33) OF CHARGE2FIVE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2600FIVE ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2600 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2600D/33) OF CHARGE2FIVE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2600five.start() 
            if ack2debug is True:
                print("(STEP 2600E/33) OF CHARGE2FIVE4XI - STARTED THE DUMMY PROCESS4XI DUMMY2600FIVE: ", dummy2600five)
                # 
            
            ack2start = True
        except:
            print("(STEP 2600F/33) OF CHARGE2FIVE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2600G/33) OF CHARGE2FIVE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2700]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2700 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2700five = DummyProcess4Xi(target=fire2700five4xi, 
                                     args =(queue2work4five,
                                            channel2consume4five, channel2publish4five))
        if ack2debug is True:
            print("(STEP 2700B/33) OF CHARGE2FIVE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2700FIVE: ", dummy2700five)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2700C/33) OF CHARGE2FIVE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2700FIVE ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2700 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2700D/33) OF CHARGE2FIVE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2700five.start() 
            if ack2debug is True:
                print("(STEP 2700E/33) OF CHARGE2FIVE4XI - STARTED THE DUMMY PROCESS4XI DUMMY2700FIVE: ", dummy2700five)
                # 
            
            ack2start = True
        except:
            print("(STEP 2700F/33) OF CHARGE2FIVE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2700G/33) OF CHARGE2FIVE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2800]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2800 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2800five = DummyProcess4Xi(target=fire2800five4xi, 
                                     args =(queue2work4five,
                                            channel2consume4five, channel2publish4five))
        if ack2debug is True:
            print("(STEP 2800B/33) OF CHARGE2FIVE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2800FIVE: ", dummy2800five)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2800C/33) OF CHARGE2FIVE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2800FIVE ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2800 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2800D/33) OF CHARGE2FIVE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2800five.start() 
            if ack2debug is True:
                print("(STEP 2800E/33) OF CHARGE2FIVE4XI - STARTED THE DUMMY PROCESS4XI DUMMY2800FIVE: ", dummy2800five)
                # 
            
            ack2start = True
        except:
            print("(STEP 2800F/33) OF CHARGE2FIVE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2800G/33) OF CHARGE2FIVE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2900]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2900 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2900five = DummyProcess4Xi(target=fire2900five4xi, 
                                     args =(queue2work4five,
                                            channel2consume4five, channel2publish4five))
        if ack2debug is True:
            print("(STEP 2900B/33) OF CHARGE2FIVE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2900FIVE: ", dummy2900five)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2900C/33) OF CHARGE2FIVE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2900FIVE ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2900 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2900D/33) OF CHARGE2FIVE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2900five.start() 
            if ack2debug is True:
                print("(STEP 2900E/33) OF CHARGE2FIVE4XI - STARTED THE DUMMY PROCESS4XI DUMMY2900FIVE: ", dummy2900five)
                # 
            
            ack2start = True
        except:
            print("(STEP 2900F/33) OF CHARGE2FIVE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2900G/33) OF CHARGE2FIVE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [3000]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 3000 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy3000five = DummyProcess4Xi(target=fire3000five4xi, 
                                     args =(queue2work4five,
                                            channel2consume4five, channel2publish4five))
        if ack2debug is True:
            print("(STEP 3000B/33) OF CHARGE2FIVE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY3000FIVE: ", dummy3000five)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 3000C/33) OF CHARGE2FIVE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY3000FIVE ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 3000 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 3000D/33) OF CHARGE2FIVE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy3000five.start() 
            if ack2debug is True:
                print("(STEP 3000E/33) OF CHARGE2FIVE4XI - STARTED THE DUMMY PROCESS4XI DUMMY3000FIVE: ", dummy3000five)
                # 
            
            ack2start = True
        except:
            print("(STEP 3000F/33) OF CHARGE2FIVE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 3000G/33) OF CHARGE2FIVE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [3100]
# ====== 
            
    # -----------------------------------------------------------------------------------------    
    # 3100 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy3100five = DummyProcess4Xi(target=fire3100five4xi, 
                                     args =(queue2work4five,
                                            channel2consume4five, channel2publish4five))
        if ack2debug is True:
            print("(STEP 3100B/33) OF CHARGE2FIVE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY3100FIVE: ", dummy3100five)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 3100C/33) OF CHARGE2FIVE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY3100FIVE ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 3100 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 3100D/33) OF CHARGE2FIVE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy3100five.start() 
            if ack2debug is True:
                print("(STEP 3100E/33) OF CHARGE2FIVE4XI - STARTED THE DUMMY PROCESS4XI DUMMY3100FIVE: ", dummy3100five)
                # 
            
            ack2start = True
        except:
            print("(STEP 3100F/33) OF CHARGE2FIVE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 3100G/33) OF CHARGE2FIVE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [3200]
# ====== 
            
    # -----------------------------------------------------------------------------------------    
    # 3200 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy3200five = DummyProcess4Xi(target=fire3200five4xi, 
                                     args =(queue2work4five,
                                            channel2consume4five, channel2publish4five))
        if ack2debug is True:
            print("(STEP 3200B/33) OF CHARGE2FIVE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY3200FIVE: ", dummy3200five)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 3200C/33) OF CHARGE2FIVE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY3200FIVE ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 3200 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 3200D/33) OF CHARGE2FIVE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy3200five.start() 
            if ack2debug is True:
                print("(STEP 3200E/33) OF CHARGE2FIVE4XI - STARTED THE DUMMY PROCESS4XI DUMMY3200FIVE: ", dummy3200five)
                #  
            
            ack2start = True
        except:
            print("(STEP 3200F/33) OF CHARGE2FIVE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 3200G/33) OF CHARGE2FIVE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [3300]
# ====== 
            
    # -----------------------------------------------------------------------------------------    
    # 3300 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy3300five = DummyProcess4Xi(target=fire3300five4xi, 
                                     args =(queue2work4five,
                                            channel2consume4five, channel2publish4five))
        if ack2debug is True:
            print("(STEP 3300B/33) OF CHARGE2FIVE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY3300FIVE: ", dummy3300five)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 3300C/33) OF CHARGE2FIVE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY3300FIVE ***") 
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 3300 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 3300D/33) OF CHARGE2FIVE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy3300five.start() 
            if ack2debug is True:
                print("(STEP 3300E/33) OF CHARGE2FIVE4XI - STARTED THE DUMMY PROCESS4XI DUMMY3300FIVE: ", dummy3300five)
                # 
                
            ack2start = True
        except:
            print("(STEP 3300F/33) OF CHARGE2FIVE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 3300G/33) OF CHARGE2FIVE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False                                   
    # ---------------------------------------------------------------------------------------------    
    # RETURN
    # ---------------------------------------------------------------------------------------------     
    if ack2debug is True:
        print('=' *33)
        print("(STEP 11/33) OF CHARGE2FIVE4XI - RETURNING TIME: ", time4xi())
        print('=' *33)
        # 09:45:45 01/24/13 Pacific Standard Time  
    
    
        
#</function4xi>
#</program4xi>

# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of charge2five4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
